%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	0.7.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/sources/gssdp/
Source0:	http://www.gupnp.org/sources/gssdp/%{name}-%{version}.tar.gz
#Patch0:		gssdp-0.6.3-fix-str-fmt.patch
BuildRequires:	libsoup-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname gssdp 1} < 0.6.1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%prep
%setup -q
#%patch0

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%{_bindir}/gssdp-device-sniffer
%{_datadir}/%{name}/*.ui

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/gssdp*.pc
%{_includedir}/gssdp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/gtk-doc/html/*


%changelog
* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 445305
- Update to new version 0.7.0 (new major)
- Use gtkbuilder instead of glade now
- Package ui file in gssdp package instead of devel package

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.4-2mdv2010.0
+ Revision: 425051
- rebuild

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 349315
- New version 0.6.4
- drop P1 (fixed upstream)

* Thu Jan 08 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 327272
- New version 0.6.3
- diff P0 to fix str fmt

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 309154
- rebuild to get rid of libtasn1 dep

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 278581
- update to new version 0.6.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 210590
- new version
- bump major
- do not re-define stuff
- update buildrequires
- spec file clean

  + Erwan Velu <erwan@mandriva.org>
    - Fixing stupid buildrequires

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 174550
- Fixing wrong requires
- Adding glade dep
- import gssdp


